import { Component } from '@angular/core';
import { IGridEditEventArgs } from 'igniteui-angular';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss']
})
export class AppComponent {
  title = 'igx-grid-numeric-editing';
  data = [
    { ID: 'ALFKI', CompanyName: 'Alfreds Futterkiste', ContactName: 'Maria Anders', Score: 330 },
    { ID: 'ANATR', CompanyName: 'Ana Trujillo Emparedados y helados', ContactName: 'Ana Trujillo', Score:  250 },
    { ID: 'ANTON', CompanyName: 'Antonio Moreno Taquería', ContactName: 'Antonio Moreno', Score: 280 }
  ];

  editDone(args: IGridEditEventArgs): void {
    console.log('type of edited value: ', typeof args.newValue);
  }
}
